## git_cai_cli-0.1.1.dev0.tar.gz

=== Makefile ===
#!/usr/bin/make -f

PIP := pipx
UV := uv
SHELL := /bin/bash

.PHONY: help lint check-docker check-npx lint-fix add-lint-hook clean

help: ## Shows this help message
	@echo "Available commands:"
	@awk '/^[a-zA-Z_-]+:.*## / { printf "  %-20s %s\n", $$1, substr($$0, index($$0, "##") + 3) }' $(MAKEFILE_LIST)

add-lint-hook: ## Adds a git pre-push hook to automatically run 'lint' before pushing
	@echo "#!/bin/bash" > .git/hooks/pre-push
	@echo "make lint" >> .git/hooks/pre-push
	@chmod +x .git/hooks/pre-push
	@echo "Pre-push hook added. The 'lint' command will now run before each push."

check-docker: ## Checks if docker is installed
	@if ! command -v docker &> /dev/null; then \
		echo "Docker is not installed. Please install it."; \
		exit 1; \
	else \
		echo "Docker version:"; \
		docker --version; \
	fi

check-npx: ## Checks if npx is installed
	@if ! command -v npx &> /dev/null; then \
		echo "npx is not installed. Please install it."; \
		exit 1; \
	else \
		echo "npx version:"; \
		npx --version; \
	fi

clean: ## Clean cache of uv and delete virtual environment
	@$(UV) cache clean
	@rm -rf .venv


lint:
	@sh ./.linters/check_git_branch_name.sh
	@npx mega-linter-runner	--flavor python

lint-fix: ## Lints the code using sqlfluff and fixes the issues
	@npx mega-linter-runner --fix

=== PKGBUILD ===
# Maintainer: Thorsten Foltz <thorsten.foltz@live.com>
pkgname=cai
pkgver=0.1.0
pkgrel=1
pkgdesc="Use LLM to create git commit messages."
arch=('any')
license=('MIT')
depends=('python' 'python-pip' 'python-yaml' 'python-openai')
source=()
sha256sums=()

build() {
    # Create a clean staging directory
    mkdir -p "$srcdir/$pkgname-$pkgver"

    # Copy only project files, skip makepkg internals
    for f in "$startdir"/*; do
        case "$(basename "$f")" in
            src|pkg) ;;  # skip makepkg working dirs
            *) cp -r "$f" "$srcdir/$pkgname-$pkgver"/ ;;
        esac
    done

    cd "$srcdir/$pkgname-$pkgver"

    # Optional: build a wheel (can skip, pip install . works too)
    python -m pip wheel . --wheel-dir "$srcdir/dist"
}

package() {
    cd "$srcdir/$pkgname-$pkgver"

    # Install the package system-wide in staged dir
    # This ensures console scripts go to /usr/bin
    python -m pip install --root="$pkgdir" --prefix=/usr .
}
